Subject: [Gen-art] Gen-ART review of draft-ietf-pcp-dhcp-09

From: Christer Holmberg <[email-masked]>
Date: Sat, 22 Mar 2014 08:49:11 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at < http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Document:                              draft-ietf-pcp-dhcp-09.txt

Reviewer:                               Christer Holmberg

Review Date:                          22 March 2014

IETF LC End Date:                1 April 2014

IESG Telechat date:               N/A

Summary:                               The document is almost ready for publication. I do have a minor issue, and some editorial change suggestions, that the authors may want to address.

Major issues: -

Minor issues:

Q1_A:

The Abstract (and, later, also the Introduction) says: "The use of DHCPv4 or DHCPv6 depends on the PCP deployment scenario."

I think this is a little unclear. Would it be possible to add some extra text, describing in what type of scenarios the mechanism is applicable?

Nits/editorial comments:

Q2_1:

The Introduction says:

"This specification assumes a PCP server is reachable with one or multiple IP addresses.  As such, a list of IP addresses can be returned in the PCP server DHCP option."

Is that text needed? The document describes how DHCP can be used to return PCP server IP addresses. If there are no PCP servers, no IP addresses should be returned :)

Q3_1:

The Introduction says:

"This specification allows returning one or multiple instances of the PCP server DHCP option. This is used as a hint to guide the PCP client when determining whether to send PCP requests to one or multiple PCP servers.  For guidelines on how a PCP client can use multiple IP addresses and multiple PCP servers, see [I-D.ietf-pcp-server-selection]."

Is the 2nd sentence needed? Why not say:

"This specification allows returning one or multiple instances of the PCP server DHCP option. For guidelines on how a PCP client can use multiple IP addresses and multiple PCP servers, see [I-D.ietf-pcp-server-selection]."

Q4_2:

The Terminology says:

"DHCP client (or client)" and "DHCP server (or server)".

As the document describes two types of clients (DHCP clients and PCP clients) and two types of servers (DHCP servers and PCP servers) I think the draft text should always explicitly indicate which type of client/server is referred to. I.e. the text should never say "client" or "server", but always indicate whether it's DHCP or PCP. Most of my subsequent comments are related to that.

Q5_3_2:

In section 3.2, I suggest to change the section name to "DHCPv6 Client Behavior".

Q6_3_2:

In section 3.2, I suggest to say "To discover one or more PCP servers...".

Q7_3_2:

In section 3.2, I suggest to say "The DHCPv6 client MUST be prepared..."

Q8_3_2:

In section 3.2, please add a reference to "IPv4-mapped IPv6 address".

Q9_4_2:

See my comments, Q5, Q6, Q7 and Q8, but replace "DHCPv6" with "DHCPv4" :)

Regards,

Christer

---

From: <[email-masked]>
Date: Mon, 24 Mar 2014 08:30:08 +0100

Dear Christer,

Thank you for the review.

Please see inline.

Cheers,
Med

De : Christer Holmberg [mailto:[email-masked]]
Envoyé : samedi 22 mars 2014 09:49
À : [email-masked]
Cc : [email-masked]
Objet : Gen-ART review of draft-ietf-pcp-dhcp-09

IESG Telechat date:               N/A

Major issues: -

Minor issues:

Q1_A:

[Med] The decision to use DHCPv4 or DHCPv6 is deployment-specific. The text calls out one particular deployment case where dhcpv6 is used to configure an IPv4 PCP server (see section 5). It is out of scope of the document to list in which cases dhcpv4, dhcpv6, or both will be used to configure pcp servers. I suggest to maintain that sentence as it is.

Nits/editorial comments:

Q2_1:

The Introduction says:

[Med] The point of that sentence is to explain why the option is designed to return a "list" and not a single IP address.

Q3_1:

The Introduction says:

[Med] The second sentence is useful because it indicates to the PCP client how to determine whether returned IP addresses belong to the same PCP server or distinct one. That sentence will be kept.

Q4_2:

The Terminology says:

[Med] OK, will update the text accordingly.

Q5_3_2:

[Med] Done.

Q6_3_2:

[Med] Even if I think the initial wording was fine, I updated the text using your suggested one.

Q7_3_2:

[Med] Done.

Q8_3_2:

[Med] A reference is cited in Section 3.1. It seems you missed that one ;-)

Q9_4_2:

[Med] Same as above.

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 25 Mar 2014 08:49:46 +0000

Hi Med,

I am ok with most of your replies, but I still have an issue with the deployment scenario statement.

Q1_A:

[Christer] RFC 6887 lists different scenarios, and when reading the sentence above I get a picture that usage of DHCPv4/DHCPv6 applies specifically to some of those scenarios, but not to others.

So, if the applicable scenarios are out of the scope of the document, then you should say that. Perhaps something like:

"The use of DHCPv4 or DHCPv6 depends on the PCP deployment scenario. The set of deployment scenarios to which use of DHCPv4 or DHCPv6 apply are outside the scope of this document."

Regards,

Christer

---

From: <[email-masked]>
Date: Tue, 25 Mar 2014 11:28:45 +0100

Dear Christer,

Your proposed text reflects exactly the intent. I updated my local copy of the draft accordingly.

Cheers,
Med

De : Christer Holmberg [mailto:[email-masked]]
Envoyé : mardi 25 mars 2014 09:50
À : BOUCADAIR Mohamed IMT/OLN; [email-masked]
Cc : [email-masked]
Objet : RE: Gen-ART review of draft-ietf-pcp-dhcp-09

Hi Med,

Q1_A:

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 25 Mar 2014 11:06:03 +0000

Thanks! :)

That addresses all my issues.

Regards,

Christer

From: [email-masked] [mailto:[email-masked]]
Sent: 25. maaliskuuta 2014 12:29
To: Christer Holmberg; [email-masked]
Cc: [email-masked]
Subject: RE: Gen-ART review of draft-ietf-pcp-dhcp-09

Dear Christer,

Cheers,
Med

De : Christer Holmberg [mailto:[email-masked]]
Envoyé : mardi 25 mars 2014 09:50
À : BOUCADAIR Mohamed IMT/OLN; [email-masked]<mailto:[email-masked]>
Cc : [email-masked]<mailto:[email-masked]>
Objet : RE: Gen-ART review of draft-ietf-pcp-dhcp-09

Hi Med,

Q1_A:

Regards,

Christer